Skip to content

Snapshot

All operations require authentication.

5 operationsv2/publicCloud/project
Agent setup

List snapshotsProduction

GET
/v2/publicCloud/project/{projectId}/storage/file/snapshot

Returns the file storage snapshots of the project.

Path parameters

projectId
required
string

Project ID

Query parameters

shareId
stringuuid

Filter by source file storage ID

Headers

X-Pagination-Cursor
string

Pagination cursor

X-Pagination-Size
integer

Pagination size

Response

200FileStorageSnapshot[]successful operation
checksum
read-only
string

Computed hash representing the current target specification value

createdAt
read-only
stringdate-time

Creation date of the snapshot

currentState
read-only
FileStorageSnapshotCurrentState

Current observed state of the snapshot from the infrastructure

currentTasks
read-only
CurrentTask[]

Ongoing asynchronous tasks related to the snapshot

id
read-only
stringuuid

Unique identifier of the snapshot

resourceStatus
read-only
ResourceStatusEnum

Snapshot readiness in the system

ValuesCREATINGCREATION_PLANNEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATING
targetSpec
read-only
FileStorageSnapshotTargetSpec

Last target specification of the snapshot

updatedAt
read-only
stringdate-time

Last update date of the snapshot

Example uses projectId = string

$ curl https://api.eu.ovhcloud.com/v2/publicCloud/project/{projectId}/storage/file/snapshot \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ { "checksum": "string", "createdAt": "2024-01-01T12:00:00Z", "currentState": { "description": "string", "location": { "availabilityZone": "string", "region": "string" }, "name": "string", "share": { "id": "00000000-0000-0000-0000-000000000000" }, "size": 0 }, "currentTasks": [ { "errors": [ { "message": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "link": "string", "status": "ERROR", "type": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "resourceStatus": "CREATING", "targetSpec": { "description": "string", "name": "string", "share": { "id": "00000000-0000-0000-0000-000000000000" } }, "updatedAt": "2024-01-01T12:00:00Z" }]

Get a snapshotProduction

GET
/v2/publicCloud/project/{projectId}/storage/file/snapshot/{snapshotId}

Returns the snapshot and its current state, including its size and source file storage.

Path parameters

projectId
required
string

Project ID

snapshotId
required
stringuuid

Snapshot ID

Response

200FileStorageSnapshotsuccessful operation
checksum
read-only
string

Computed hash representing the current target specification value

createdAt
read-only
stringdate-time

Creation date of the snapshot

currentState
read-only
FileStorageSnapshotCurrentState

Current observed state of the snapshot from the infrastructure

currentTasks
read-only
CurrentTask[]

Ongoing asynchronous tasks related to the snapshot

id
read-only
stringuuid

Unique identifier of the snapshot

resourceStatus
read-only
ResourceStatusEnum

Snapshot readiness in the system

ValuesCREATINGCREATION_PLANNEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATING
targetSpec
read-only
FileStorageSnapshotTargetSpec

Last target specification of the snapshot

updatedAt
read-only
stringdate-time

Last update date of the snapshot

404objectError 404 response

Example uses projectId = string, snapshotId = 00000000-0000-0000-0000-000000000000

$ curl https://api.eu.ovhcloud.com/v2/publicCloud/project/{projectId}/storage/file/snapshot/{snapshotId} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "checksum": "string", "createdAt": "2024-01-01T12:00:00Z", "currentState": { "description": "string", "location": { "availabilityZone": "string", "region": "string" }, "name": "string", "share": { "id": "00000000-0000-0000-0000-000000000000" }, "size": 0 }, "currentTasks": [ { "errors": [ { "message": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "link": "string", "status": "ERROR", "type": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "resourceStatus": "CREATING", "targetSpec": { "description": "string", "name": "string", "share": { "id": "00000000-0000-0000-0000-000000000000" } }, "updatedAt": "2024-01-01T12:00:00Z"}

Create a snapshotProduction

POST
/v2/publicCloud/project/{projectId}/storage/file/snapshot

Creates a snapshot of a file storage. A new file storage can then be created from it.

Path parameters

projectId
required
string

Project ID

Request body (required)

targetSpec
required
FileStorageSnapshotTargetSpec

Desired target specification for the snapshot

Response

200FileStorageSnapshotsuccessful operation
checksum
read-only
string

Computed hash representing the current target specification value

createdAt
read-only
stringdate-time

Creation date of the snapshot

currentState
read-only
FileStorageSnapshotCurrentState

Current observed state of the snapshot from the infrastructure

currentTasks
read-only
CurrentTask[]

Ongoing asynchronous tasks related to the snapshot

id
read-only
stringuuid

Unique identifier of the snapshot

resourceStatus
read-only
ResourceStatusEnum

Snapshot readiness in the system

ValuesCREATINGCREATION_PLANNEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATING
targetSpec
read-only
FileStorageSnapshotTargetSpec

Last target specification of the snapshot

updatedAt
read-only
stringdate-time

Last update date of the snapshot

400objectError 400 response
404objectError 404 response
409objectError 409 response

Example uses projectId = string

$ curl https://api.eu.ovhcloud.com/v2/publicCloud/project/{projectId}/storage/file/snapshot \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "checksum": "string", "createdAt": "2024-01-01T12:00:00Z", "currentState": { "description": "string", "location": { "availabilityZone": "string", "region": "string" }, "name": "string", "share": { "id": "00000000-0000-0000-0000-000000000000" }, "size": 0 }, "currentTasks": [ { "errors": [ { "message": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "link": "string", "status": "ERROR", "type": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "resourceStatus": "CREATING", "targetSpec": { "description": "string", "name": "string", "share": { "id": "00000000-0000-0000-0000-000000000000" } }, "updatedAt": "2024-01-01T12:00:00Z"}

Delete a snapshotProduction

DELETE
/v2/publicCloud/project/{projectId}/storage/file/snapshot/{snapshotId}

Deletes the snapshot.

Path parameters

projectId
required
string

Project ID

snapshotId
required
stringuuid

Snapshot ID

Response

200FileStorageSnapshotsuccessful operation
checksum
read-only
string

Computed hash representing the current target specification value

createdAt
read-only
stringdate-time

Creation date of the snapshot

currentState
read-only
FileStorageSnapshotCurrentState

Current observed state of the snapshot from the infrastructure

currentTasks
read-only
CurrentTask[]

Ongoing asynchronous tasks related to the snapshot

id
read-only
stringuuid

Unique identifier of the snapshot

resourceStatus
read-only
ResourceStatusEnum

Snapshot readiness in the system

ValuesCREATINGCREATION_PLANNEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATING
targetSpec
read-only
FileStorageSnapshotTargetSpec

Last target specification of the snapshot

updatedAt
read-only
stringdate-time

Last update date of the snapshot

404objectError 404 response
409objectError 409 response

Example uses projectId = string, snapshotId = 00000000-0000-0000-0000-000000000000

$ curl https://api.eu.ovhcloud.com/v2/publicCloud/project/{projectId}/storage/file/snapshot/{snapshotId} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "checksum": "string", "createdAt": "2024-01-01T12:00:00Z", "currentState": { "description": "string", "location": { "availabilityZone": "string", "region": "string" }, "name": "string", "share": { "id": "00000000-0000-0000-0000-000000000000" }, "size": 0 }, "currentTasks": [ { "errors": [ { "message": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "link": "string", "status": "ERROR", "type": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "resourceStatus": "CREATING", "targetSpec": { "description": "string", "name": "string", "share": { "id": "00000000-0000-0000-0000-000000000000" } }, "updatedAt": "2024-01-01T12:00:00Z"}

Update a snapshotProduction

PUT
/v2/publicCloud/project/{projectId}/storage/file/snapshot/{snapshotId}

Updates the snapshot name and description. Send the current checksum to prevent overwriting a concurrent change.

Path parameters

projectId
required
string

Project ID

snapshotId
required
stringuuid

Snapshot ID

Request body (required)

checksum
string

Optional concurrency-control checksum. When supplied, it must match the resource's current checksum or the request is rejected with a 409 checksum-mismatch conflict. When omitted or empty, the concurrency check is skipped and the write is forced (last-write-wins).

targetSpec
required
FileStorageSnapshotUpdateTargetSpec

Desired target specification for the snapshot

Response

200FileStorageSnapshotsuccessful operation
checksum
read-only
string

Computed hash representing the current target specification value

createdAt
read-only
stringdate-time

Creation date of the snapshot

currentState
read-only
FileStorageSnapshotCurrentState

Current observed state of the snapshot from the infrastructure

currentTasks
read-only
CurrentTask[]

Ongoing asynchronous tasks related to the snapshot

id
read-only
stringuuid

Unique identifier of the snapshot

resourceStatus
read-only
ResourceStatusEnum

Snapshot readiness in the system

ValuesCREATINGCREATION_PLANNEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATING
targetSpec
read-only
FileStorageSnapshotTargetSpec

Last target specification of the snapshot

updatedAt
read-only
stringdate-time

Last update date of the snapshot

404objectError 404 response
409objectError 409 response

Example uses projectId = string, snapshotId = 00000000-0000-0000-0000-000000000000

$ curl https://api.eu.ovhcloud.com/v2/publicCloud/project/{projectId}/storage/file/snapshot/{snapshotId} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "checksum": "string", "createdAt": "2024-01-01T12:00:00Z", "currentState": { "description": "string", "location": { "availabilityZone": "string", "region": "string" }, "name": "string", "share": { "id": "00000000-0000-0000-0000-000000000000" }, "size": 0 }, "currentTasks": [ { "errors": [ { "message": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "link": "string", "status": "ERROR", "type": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "resourceStatus": "CREATING", "targetSpec": { "description": "string", "name": "string", "share": { "id": "00000000-0000-0000-0000-000000000000" } }, "updatedAt": "2024-01-01T12:00:00Z"}